<package xmlNamespace="" packageName="net.ihe.gazelle.hpd.validator.core.providerInformationFeedRequest" standards="">
		<name>providerInformationFeedRequest</name>
		<description></description>
  			<ConstraintsSpec>
  						<name>feedRequestSpec</name>
  						<xmlName>feedRequestSpec</xmlName>
  						<parentId>core-BatchRequest</parentId>
  						<constraint>
  							<name>constraint_hpd_feedRequestAllowedElements</name>
  							<description>A Provider Information Feed Request only supports the following elements: addRequest, delRequest, modDNRequest and modifyRequest</description>
  							<ocl>self.abandonRequest-&gt;size() = 0
  			and self.compareRequest-&gt;size() = 0
  			and self.extendedRequest-&gt;size() = 0 
  			and self.searchRequest-&gt;size() = 0
  			</ocl>
  							<type>ERROR</type>
  							
  							<assertion assertionId="IHEHPD-155" idScheme="IHEHPD"/>
  							
  							
  							
  							
  							
  						</constraint>
  					</ConstraintsSpec>
	</package>

